Index: npl/system/openssl/openssl-1.0.2p.tar.gz.asc
===================================================================
--- npl/system/openssl/openssl-1.0.2p.tar.gz.asc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,11 +1,0 @@
------BEGIN PGP SIGNATURE-----
-
-iQEzBAABCgAdFiEEhlersmDwVrHlGQg52cTSbQ5gRJEFAlty0pMACgkQ2cTSbQ5g
-RJHawAf9Gx3D6rRmV/TzNwRzTFdxkgfSK5Q+z03tbJAgVcQgMwDxqovhcC8XJ5wA
-0qtI+Ngu73bu0VyQ69zFYLfwWDk7AJGPWTJJOE7t6m+ZLMBCoRMrn0ZndFv50Gda
-qvsLGvuXSsYDsMe7wIVToTWtNZs6yYsPDk5S6tDimHTLf113zFgpnJmcxIMZiuHP
-M7IZ4Ib9fzvuQPcmFVHxN51EG1r9HkbtxqjwqJmArbbiGCzQV89+tVDSsuIKqzvz
-G+6imlytlpYgt14//ml5Ar7nT10b1+ZS29Dz73V45FKD3/9fl6dbehDQDYTsXTyp
-wNUAfNtEjqzGwbGT6lR8Z6d3l0PewQ==
-=fxwx
------END PGP SIGNATURE-----
Index: npl/system/openssl/openssl.SlackBuild
===================================================================
--- npl/system/openssl/openssl.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,12 +1,10 @@
 #!/bin/bash
 #
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/patches/source/openssl/
-# Created at Thu Sep 20 18:27:22 CEST 2018
+# Automaticly created by importpackage
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/openssl/
+# Created at Wed Jun 24 22:08:47 CEST 2015
 
-#DEP:zlib
+export MAKEFLAGS=-j1
 removepkg openssl
-export MAKEFLAGS=
-
 
 ########### source original slackbuild (hopefully we dont need to modify it)
@@ -19,5 +17,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/'`
 
         #seperate dev-package
Index: npl/system/openssl/openssl.SlackBuild.orig
===================================================================
--- npl/system/openssl/openssl.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.SlackBuild.orig	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -3,5 +3,5 @@
 # Copyright 2000 BSDi, Inc. Concord, CA, USA
 # Copyright 2001, 2002 Slackware Linux, Inc.  Concord, CA, USA
-# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -29,5 +29,5 @@
 
 VERSION=${VERSION:-$(echo openssl-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1_slack14.2}
+BUILD=${BUILD:-1}
 
 # Automatically determine the architecture we're building on:
@@ -48,4 +48,5 @@
 # Parallel build doesn't link properly.
 #NUMJOBS=${NUMJOBS:--j6}
+NUMJOBS=-j1
 
 # So that ls has the right field counts for parsing...
@@ -62,13 +63,8 @@
 
 # Use .so.1, not .so.1.0.0:
-sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
-
+zcat $CWD/openssl.soname.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
 if [ "$ARCH" = "i586" ]; then
   # Build with -march=i586 -mtune=i686:
-  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i586 -mtune=i686/g" Configure
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
-  # Build with -march=i686 -mtune=i686:
-  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i686 -mtune=i686/g" Configure
+  zcat $CWD/openssl.optsx86.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
@@ -81,7 +77,7 @@
 # what they were compiled against, whether or not the ABI has changed.
 #
-# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.2e unless ABI
+# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.1c unless ABI
 # breakage forces it to change.  Yes, we're finally using this old trick.  :)
-sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000205fL (1.0.2e) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" crypto/opensslv.h || exit 1
+sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000103fL (1.0.1c) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000103fL/g" crypto/opensslv.h || exit 1
 
 chown -R root:root .
@@ -102,26 +98,19 @@
 # These are the known patent issues with OpenSSL:
 # name   #         expires
-# MDC-2: 4,908,861  2007-03-13, not included.
+# MDC-2: 4,908,861  2007-03-13, included.  :-)
 # IDEA:  5,214,703  2010-05-25, not included.
 # RC5:   5,724,428  2015-03-03, not included.
-#
-# Although all of the above are expired, it's still probably
-# not a good idea to include them as there are better
-# algorithms to use.
 
 ./config \
  --prefix=/usr \
  --openssldir=/etc/ssl \
- no-mdc2 \
  no-idea \
  no-rc5 \
  no-sse2 \
- no-ssl2 \
- no-weak-ssl-ciphers \
  shared
 
-make $NUMJOBS depend || make depend || exit 1
-
-make $NUMJOBS || make || exit 1
+make $NUMJOBS depend || make -j1  depend || exit 1
+
+make $NUMJOBS || make -j 1 || exit 1
 
 make install INSTALL_PREFIX=$PKG1 || exit 1
Index: npl/system/openssl/openssl.build
===================================================================
--- npl/system/openssl/openssl.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6531
Index: npl/system/openssl/openssl.depver
===================================================================
--- npl/system/openssl/openssl.depver	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-zlib	0
Index: npl/system/openssl/openssl.md5
===================================================================
--- npl/system/openssl/openssl.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,13 +2,14 @@
 1e6908ae51dcc3d1d9d5be0bad6bf803  ./doinst.sh-openssl.gz
 24389791b9e637dff90b350d9ba0e028  ./doinst.sh-openssl-solibs.gz
-ac5eb30bf5798aa14b1ae6d0e7da58df  ./openssl-1.0.2p.tar.gz
-e073c84204737d8dbe7e215ec4cf5675  ./openssl-1.0.2p.tar.gz.asc
-53ef4539cf1da46f143c0047ded1b456  ./openssl_dev.pkg
-cb0381ad1e0019e026ec2d2af787dc4f  ./openssl.pkg
-1497189dd82fcdee2494ade82d1dace2  ./openssl.SlackBuild
-f38133feb4a88530901cfe444467e599  ./openssl.SlackBuild.log.gz
-2f4423db46cb18a800b92d53dd178e94  ./openssl.SlackBuild.orig
-2684155c90c28c98c3ed853a343a5076  ./ossllibs_dev.pkg
-8508555848013ba37b2466f24c2101a8  ./ossllibs.pkg
+130bb19745db2a5a09f22ccbbf7e69d0  ./openssl-1.0.1u.tar.gz
+696ff921e8d4ea2a2ab0105f95eb14a1  ./openssl_dev.pkg
+70d9c041f5c7de50bf5427b7366936f3  ./openssl.optsx86.diff.gz
+103544fe5a3d9606bccdcec53137e449  ./openssl.pkg
+66f195b9f817484bd708cb1c71ea7b51  ./openssl.SlackBuild
+32df63a8e8907c3d0ff387833bc07b17  ./openssl.SlackBuild.log.gz
+5e1eaffc28a65b9108e30e8aed1ed981  ./openssl.SlackBuild.orig
+b3303a5b0c4d92f810ad5676d9d59563  ./openssl.soname.diff.gz
+eee205b1466225d1f33a483e83e6e62b  ./ossllibs_dev.pkg
+003f995b9c404708a03d69118b1ebf01  ./ossllibs.pkg
 c179fc570282afc12c3a6eee101ced0d  ./slack-desc.openssl
 4b7562095ddf28453d54af0ad455a9a5  ./slack-desc.openssl-solibs
Index: npl/system/openssl/openssl.version
===================================================================
--- npl/system/openssl/openssl.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/openssl_dev.build
===================================================================
--- npl/system/openssl/openssl_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6531
Index: npl/system/openssl/openssl_dev.version
===================================================================
--- npl/system/openssl/openssl_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/ossllibs.build
===================================================================
--- npl/system/openssl/ossllibs.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6531
Index: npl/system/openssl/ossllibs.version
===================================================================
--- npl/system/openssl/ossllibs.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/ossllibs.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/ossllibs_dev.build
===================================================================
--- npl/system/openssl/ossllibs_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6531
Index: npl/system/openssl/ossllibs_dev.version
===================================================================
--- npl/system/openssl/ossllibs_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/ossllibs_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
